Lavalite package that provides herbal_product management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `nelskate/herbal_product`.

    "nelskate/herbal_product": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Nelskate\HerbalProduct\Providers\HerbalProductServiceProvider::class,

And also add it to alias

    'HerbalProduct'  => Nelskate\HerbalProduct\Facades\HerbalProduct::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Nelskate\\HerbalProduct\\Seeders\\HerbalProductTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Nelskate\HerbalProduct\Providers\HerbalProductServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Nelskate\HerbalProduct\Providers\HerbalProductServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Nelskate\HerbalProduct\Providers\HerbalProductServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/herbal_product/{modulename}

**User**

    http://path-to-route-folder/user/herbal_product/{modulename}

**Public**

    http://path-to-route-folder/herbal_products


### API endpoints

**List**

    http://path-to-route-folder/api/user/herbal_product/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/herbal_product/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/herbal_product/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/herbal_product/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/herbal_product/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/herbal_product/{modulename}/{slug}
    METHOD: GET